clear
close all

frog=imread('/Users/marcel/Documents/MATLAB/0-images-exemples/frog.jpg');
frog_int=rgb2gray(frog);

frog_eq = histeq(frog_int, 256);
dist_eq = sqrt(sum(sum((frog_int-frog_eq).^2)))

frog_eq2 = histeq(frog_int, 64);
dist_eq2 = sqrt(sum(sum((frog_int-frog_eq2).^2)))

frog_adj = imadjust(frog_int);
dist_adj = sqrt(sum(sum((frog_int-frog_adj).^2)))

figure(1)
subplot(2,4,1), imshow(frog_int)
title({'image originale' ; ' '})
subplot(2,4,5), imhist(frog_int, 256)

subplot(2,4,2), imshow(frog_eq)
title({'image galise (256 niv.)' ; ['dist\_eq=',int2str(dist_eq)]})
subplot(2,4,6), imhist(frog_eq, 256)

subplot(2,4,3), imshow(frog_eq2)
title({'image galise (64 niv.)' ; ['dist\_eq2=',int2str(dist_eq2)]})
subplot(2,4,7), imhist(frog_eq2, 64)

subplot(2,4,4), imshow(frog_adj)
title({'image ''ajuste''' ; ['dist\_adj=',int2str(dist_adj)]})
subplot(2,4,8), imhist(frog_adj, 256)